apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-world-configmaps-env
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hello-world-configmaps-env
  template:
    metadata:
      labels:
        app: hello-world-configmaps-env
    spec:
      containers:
      - name: hello-world
        image: psk8s.azurecr.io/hello-app:1.0
        envFrom:
          - configMapRef:
              name: cm-from-literals
        ports:
        - containerPort: 8080
        
        
        
        
